resource "kubectl_manifest" "ConfigMap_whereabouts-config" {
  yaml_body  = <<-EOF
    apiVersion: v1
    kind: ConfigMap
    metadata:
      name: whereabouts-config
      namespace: ${var.namespace}
      annotations:
        kubernetes.io/description: |
          Configmap containing user customizable cronjob schedule
      ownerReferences: ${jsonencode(var.install_owner)}
      labels: ${jsonencode(local.common-labels)}
    data:
      cron-expression: 30 4 * * *
EOF
}

